# Minimal Requirements

## DecisionRules Minimal Requirements

### Software Requirements

| Software       | OS                                |
| -------------- | --------------------------------- |
| Docker Desktop | Windows 8.1/10/11 (WSL 2 enabled) |
|                | macOS                             |
| Docker engine  | Linux                             |

### Hardware Requirements

The minimum required server memory is 1GB in total for the OS and a single worker.

| Container                 | Minimum memory size                                                                                                       |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| MongoDB                   | 190MB                                                                                                                     |
| Redis                     | [Official Redis requirements](https://docs.redis.com/latest/rs/administering/designing-production/hardware-requirements/) |
| Client App                | 100MB                                                                                                                     |
| Server App                | 1GB per worker thread                                                                                                     |
| Business Intelligence App | 700MB per worker thread                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/on-premise-docker/decisionrules-application/requirements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
